function p=init(p,lx,dsc,par) 
% initialization routine for generic scalar 1D OO demo
% see manual or routine "stanparam" for explanations of settings

% standard settings, window arrangement, file names
p=stanparam(p); dir=sprintf('%s',inputname(1)); p=setfn(p,dir); screenlayout(p);

% PDE semilinear implementation
p.nc.neq=1; p.sw.sfem=-1; p.fuha.sG=@sG; p.fuha.sGjac=@sGjac; 

% domain and mesh
pde=stanpdeo1D(lx,lx/dsc);
p.np=pde.grid.nPoints; p.pdeo=pde; p.nu=p.np; 

% initial sol
p.u=zeros(p.np,1); p.sol.xi=1/(p.nu); 
p.u = [p.u; par']; p=setfemops(p);
